package com.fjhx.attachment.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.attachment.StockAttachment;
import com.fjhx.params.stock.StockAttachmentVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 业务附件表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-12
 */
public interface StockAttachmentService extends BaseService<StockAttachment> {

    Page<StockAttachment> getPage(Map<String, String> condition);

    void add(StockAttachmentVo stockAttachmentVo);

    void edit(StockAttachmentVo stockAttachmentVo);

    void delete(StockAttachmentVo stockAttachmentVo);

    /**
     * 根据业务ID查询文件
     * @param busi
     * @return
     */
    List<StockAttachment> getListByBusi(String busi);
}
